#ifndef RLTB_API_H_
#define RLTB_API_H_

#include <time.h>
#include <stddef.h>
#include <stdint.h>

#ifdef _WIN32
	#ifdef RLTB_COMPILING_DLL
		#define RLTB_API __declspec(dllexport)
	#else
		#define RLTB_API __declspec(dllimport)
	#endif
#elif defined(__GNUC__) || defined(__clang__) 
	#define RLTB_API __attribute__((visibility("default")))
#else
	#define RLTB_API
#endif
#ifdef __cplusplus
	#define RLTB_C_API extern "C" RLTB_API
#else
	#define RLTB_C_API RLTB_API
#endif

RLTB_C_API void rltbGetLastError( char* buffer, int32_t bufferSize );
RLTB_C_API int32_t rltbGetLastErrorLen( void );

#endif